GET/api/v2/crypto-virtual-accounts/equalsmoney-deposits/{id}

Get a the crypto on/off-ramp-to-EqualsMoney deposit

Returns the current funding, the crypto on/off-ramp trade, settlement, and EqualsMoney budget-credit status. Poll until Status is completed or failed.

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
id (path)integer (int32)Yes
userId (query)unknownNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
IdunknownNo
StatusstringNo
UserIdunknownNo
TargetBudgetIdstringNo
CryptoCurrencystringNo
CryptoAmountstringNo
ChainIdunknownNo
FiatCurrencystringNo
EstimatedFiatAmountstringNo
SettledFiatAmountstringNo
DepositInstructionobjectNo
BoomFiOrderIdstringNo
BoomFiOrderStatusstringNo
BoomFiSettlementStatusstringNo
EqualsTransferIdstringNo
FailureMessagestringNo
CreatedAtstring (date-time)No
CompletedAtstring (date-time)No

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X GET "https://{base_url}/api/v2/crypto-virtual-accounts/equalsmoney-deposits/{id}" \
  -H "x-api-key: YOUR_API_KEY"

This page is generated from the live OpenAPI specification and always matches the current API.